#!/bin/sh
dir=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
cd $dir;
export CELL_GDS=pdk/sky130A/libs.ref/sky130_fd_sc_hd/gds/sky130_fd_sc_hd.gds;
export CELL_LEFS='pdk/sky130A/libs.ref/sky130_fd_sc_hd/lef/sky130_ef_sc_hd.lef pdk/sky130A/libs.ref/sky130_fd_sc_hd/lef/sky130_fd_sc_hd.lef';
export CELL_PAD_EXCLUDE='design/'"'"'sky130_fd_sc_hd__tap*'"'"' design/'"'"'sky130_fd_sc_hd__decap*'"'"' design/'"'"'sky130_ef_sc_hd__decap*'"'"' design/'"'"'sky130_fd_sc_hd__fill*'"'"'';
export CHECK_ASSIGN_STATEMENTS=design/0;
export CLOCK_PERIOD=design/10.4900000000000002131628207280300557613372802734375;
export CLOCK_PORT=design/CLK;
export CLOCK_TRANSITION_CONSTRAINT=design/0.1499999999999999944488848768742172978818416595458984375;
export CLOCK_UNCERTAINTY_CONSTRAINT=design/0.25;
export CTS_CLK_BUFFERS='design/sky130_fd_sc_hd__clkbuf_8 design/sky130_fd_sc_hd__clkbuf_4 design/sky130_fd_sc_hd__clkbuf_2';
export CTS_MAX_CAP=design/1.53169;
export CTS_ROOT_BUFFER=design/sky130_fd_sc_hd__clkbuf_16;
export CVC_SCRIPTS_DIR=pdk/sky130A/libs.tech/openlane/cvc;
export DECAP_CELL='design/sky130_ef_sc_hd__decap_12 design/sky130_fd_sc_hd__decap_8 design/sky130_fd_sc_hd__decap_6 design/sky130_fd_sc_hd__decap_4 design/sky130_fd_sc_hd__decap_3';
export DEFAULT_CORNER=design/nom_tt_025C_1v80;
export DEFAULT_MAX_TRAN=design/0.75;
export DESIGN_DIR='';
export DESIGN_NAME=design/RAM32;
export DIODE_CELL=design/sky130_fd_sc_hd__diode_2/DIODE;
export DPL_CELL_PADDING=design/0;
export FILL_CELL='design/'"'"'sky130_fd_sc_hd__fill*'"'"'';
export FP_ENDCAP_CELL=design/sky130_fd_sc_hd__decap_3;
export FP_IO_HLAYER=design/met3;
export FP_IO_VLAYER=design/met2;
export FP_PDN_CORE_RING_HOFFSET=design/6;
export FP_PDN_CORE_RING_HSPACING=design/1.7;
export FP_PDN_CORE_RING_HWIDTH=design/1.6;
export FP_PDN_CORE_RING_VOFFSET=design/6;
export FP_PDN_CORE_RING_VSPACING=design/1.7;
export FP_PDN_CORE_RING_VWIDTH=design/1.6;
export FP_PDN_HORIZONTAL_LAYER=design/met5;
export FP_PDN_HSPACING=design/1.7;
export FP_PDN_HWIDTH=design/1.6;
export FP_PDN_RAIL_LAYER=design/met1;
export FP_PDN_RAIL_OFFSET=design/0;
export FP_PDN_RAIL_WIDTH=design/0.48;
export FP_PDN_VERTICAL_LAYER=design/met4;
export FP_PDN_VSPACING=design/1.7;
export FP_PDN_VWIDTH=design/1.6;
export FP_TAPCELL_DIST=design/13;
export FP_TRACKS_INFO=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/tracks.info;
export FP_WELLTAP_CELL=design/sky130_fd_sc_hd__tapvpwrvgnd_1;
export GND_PIN=design/VGND;
export GPIO_PADS_LEF='pdk/sky130A/libs.ref/sky130_fd_io/lef/sky130_fd_io.lef pdk/sky130A/libs.ref/sky130_fd_io/lef/sky130_ef_io.lef';
export GPIO_PADS_LEF_CORE_SIDE='pdk/sky130A/libs.tech/openlane/custom_cells/lef/sky130_fd_io_core.lef pdk/sky130A/libs.tech/openlane/custom_cells/lef/sky130_ef_io_core.lef';
export GPIO_PADS_PREFIX='design/sky130_fd_io design/sky130_ef_io';
export GPIO_PADS_VERILOG=pdk/sky130A/libs.ref/sky130_fd_io/verilog/sky130_ef_io.v;
export GPL_CELL_PADDING=design/0;
export GRT_LAYER_ADJUSTMENTS='design/0.99 design/0 design/0 design/0 design/0 design/0';
export IGNORE_DISCONNECTED_MODULES=design/sky130_fd_sc_hd__conb_1;
export IO_DELAY_CONSTRAINT=design/20;
export KLAYOUT_DEF_LAYER_MAP=pdk/sky130A/libs.tech/klayout/tech/sky130A.map;
export KLAYOUT_DRC_KLAYOUT_GDS=design/0;
export KLAYOUT_DRC_TECH_SCRIPT=pdk/sky130A/libs.tech/klayout/drc/sky130A_mr.drc;
export KLAYOUT_PROPERTIES=pdk/sky130A/libs.tech/klayout/tech/sky130A.lyp;
export KLAYOUT_TECH=pdk/sky130A/libs.tech/klayout/tech/sky130A.lyt;
export KLAYOUT_XOR_IGNORE_LAYERS=design/81/14;
export LEC_ENABLE=design/0;
export LIB='design/'"'"'*_tt_025C_1v80'"'"' pdk/sky130A/libs.ref/sky130_fd_sc_hd/lib/sky130_fd_sc_hd__tt_025C_1v80.lib design/'"'"'*_ss_100C_1v60'"'"' pdk/sky130A/libs.ref/sky130_fd_sc_hd/lib/sky130_fd_sc_hd__ss_100C_1v60.lib design/'"'"'*_ff_n40C_1v95'"'"' pdk/sky130A/libs.ref/sky130_fd_sc_hd/lib/sky130_fd_sc_hd__ff_n40C_1v95.lib';
export LVS_INSERT_POWER_PINS=design/1;
export MACRO_LEFS='';
export MAGICRC=pdk/sky130A/libs.tech/magic/sky130A.magicrc;
export MAGIC_TECH=pdk/sky130A/libs.tech/magic/sky130A.tech;
export MAX_FANOUT_CONSTRAINT=design/10;
export NETGEN_SETUP=pdk/sky130A/libs.tech/netgen/sky130A_setup.tcl;
export PACKAGED_SCRIPT_0=openlane/scripts/yosys/synthesize.tcl;
export PACKAGED_SCRIPT_1=openlane/scripts/yosys/common.tcl;
export PACKAGED_SCRIPT_2=./1-yosys-synthesis/synthesis.sdc;
export PDK=design/sky130A;
export PLACE_SITE=design/unithd;
export PLACE_SITE_HEIGHT=design/2.720;
export PLACE_SITE_WIDTH=design/0.460;
export PNR_EXCLUSION_CELL_LIST=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/drc_exclude.cells;
export PRIMARY_SIGNOFF_TOOL=design/magic;
export RCX_RULESETS='design/'"'"'nom_*'"'"' pdk/sky130A/libs.tech/openlane/rules.openrcx.sky130A.nom.calibre design/'"'"'min_*'"'"' pdk/sky130A/libs.tech/openlane/rules.openrcx.sky130A.min.calibre design/'"'"'max_*'"'"' pdk/sky130A/libs.tech/openlane/rules.openrcx.sky130A.max.calibre';
export RT_MAX_LAYER=design/met5;
export RT_MIN_LAYER=design/met1;
export RUN_CVC=design/1;
export RUN_KLAYOUT_DRC=design/0;
export SAVE_NETLIST=./1-yosys-synthesis/RAM32.nl.v;
export SCL_GROUND_PINS='design/VGND design/VNB';
export SCL_POWER_PINS='design/VPWR design/VPB';
export SCRIPTS_DIR=openlane/scripts;
export STA_CORNERS='design/nom_tt_025C_1v80 design/nom_ss_100C_1v60 design/nom_ff_n40C_1v95 design/min_tt_025C_1v80 design/min_ss_100C_1v60 design/min_ff_n40C_1v95 design/max_tt_025C_1v80 design/max_ss_100C_1v60 design/max_ff_n40C_1v95';
export STD_CELL_LIBRARY=design/sky130_fd_sc_hd;
export STEP_DIR=./1-yosys-synthesis;
export SYNTH_ADDER_TYPE=design/YOSYS;
export SYNTH_AUTONAME=design/0;
export SYNTH_BUFFERING=design/1;
export SYNTH_BUFFER_CELL=design/sky130_fd_sc_hd__buf_2/A/X;
export SYNTH_CAP_LOAD=design/33.442;
export SYNTH_CHECKS_ALLOW_TRISTATE=design/1;
export SYNTH_CSA_MAP=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/csa_map.v;
export SYNTH_DRIVING_CELL=design/sky130_fd_sc_hd__inv_2/Y;
export SYNTH_ELABORATE_ONLY=design/1;
export SYNTH_EXCLUSION_CELL_LIST=design/no_synth.cells;
export SYNTH_FA_MAP=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/fa_map.v;
export SYNTH_FLAT_TOP=design/0;
export SYNTH_LATCH_MAP=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/latch_map.v;
export SYNTH_LIBS=./tmp/f44f4b22aa9e408eaf14be0fcbe809c2.lib;
export SYNTH_MUX4_MAP=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/mux4_map.v;
export SYNTH_MUX_MAP=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/mux2_map.v;
export SYNTH_NO_FLAT=design/1;
export SYNTH_PARAMETERS=design/WSIZE=4;
export SYNTH_RCA_MAP=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/rca_map.v;
export SYNTH_READ_BLACKBOX_LIB=design/1;
export SYNTH_SHARE_RESOURCES=design/1;
export SYNTH_SIZING=design/0;
export SYNTH_STRATEGY='design/AREA design/0';
export SYNTH_TIEHI_CELL=design/sky130_fd_sc_hd__conb_1/HI;
export SYNTH_TIELO_CELL=design/sky130_fd_sc_hd__conb_1/LO;
export SYNTH_TRISTATE_MAP=pdk/sky130A/libs.tech/openlane/sky130_fd_sc_hd/tribuff_map.v;
export TECH_LEF=pdk/sky130A/libs.ref/sky130_fd_sc_hd/techlef/sky130_fd_sc_hd__nom.tlef;
export TECH_LEFS='design/'"'"'nom_*'"'"' pdk/sky130A/libs.ref/sky130_fd_sc_hd/techlef/sky130_fd_sc_hd__nom.tlef design/'"'"'min_*'"'"' pdk/sky130A/libs.ref/sky130_fd_sc_hd/techlef/sky130_fd_sc_hd__min.tlef design/'"'"'max_*'"'"' pdk/sky130A/libs.ref/sky130_fd_sc_hd/techlef/sky130_fd_sc_hd__max.tlef';
export TIME_DERATING_CONSTRAINT=design/5;
export VDD_PIN=design/VPWR;
export VERILOG_FILES='design/models/ram/model.v design/platforms/sky130A/sky130_fd_sc_hd/block_definitions.v';
export WIRE_RC_LAYER=design/met1;
export synthesis_results='';
yosys -c $PACKAGED_SCRIPT_0
